Subject: Re: CVS :pserver: bug -- can't get winsup from Win2k + Cygwin 1.1.8-2
From: [email-masked] (Henry S. Thompson)
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: 01 Feb 2001 15:20:24 +0000

"Charles S. Wilson" <[email-masked]> writes:

> Steve Hirsh in Dec 1999 (Looonnnggg before Corinna's fix) said the
> following about an identical error message ("cvs.exe [checkout aborted]:
> writing to server: The descriptor is a file, not a socket") that he
> experienced when trying to use a local repository:
> > For whatever reason, no one else is reporting this runtime error.  The
> > error is coming from a section of code that tries to flush a buffer back
> > to the server in client.c of cvs.

<snip summary="lots of useful background, possible VPN interaction signalled"/>

Thanks a lot -- I do have VPN installed (although I'm not using it
when the error occurs). . .

> Henry, I think you're going to have to use gdb and trace through the
> program's operation to debug this.  I do not see the problem (Win2Ksp1,
> 1.1.8, connecting to :pserver:[email-masked]:/cvs/src works
> fine), so there's no way I can debug it for you.  Take a good look at
> Steve's message referenced above, and set a few breakpoints at the code
> he indicates in client.c -- BTW, this means you'll have to download
> cvs-1.11.0-1-src.tar.gz and build your own cvs.exe with debugging (-g)
> enabled, and don't strip the executable (the distribution version of
> cvs.exe is stripped, so it's not readily debuggable).  Note that
> /usr/doc/Cygwin/cvs-1.11.0.README contains build instructions. 

Will (try to) do -- tomorrow, probably.

Thanks again for helping me understand what to do to try to help
find/fix this.

ht
-- 
  Henry S. Thompson, HCRC Language Technology Group, University of Edinburgh
          W3C Fellow 1999--2001, part-time member of W3C Team
     2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
	    Fax: (44) 131 650-4587, e-mail: [email-masked]
		     URL: http://www.ltg.ed.ac.uk/~ht/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple